﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports Windows.Devices.Geolocation
Imports Windows.Foundation

Namespace MapControlSamples.Models
	Public Class Team
		Public Sub New(ByVal teamName As String, ByVal division As String, ByVal stadiumName As String, ByVal stadiumLatitude As Double, ByVal stadiumLongitude As Double)
			Me.TeamName = teamName
			Me.Division = division
			Me.StadiumName = stadiumName

			Dim stadiumGeopoistion As New BasicGeoposition()
			stadiumGeopoistion.Latitude = stadiumLatitude
			stadiumGeopoistion.Longitude = stadiumLongitude
			Me.StadiumLocation = New Geopoint(stadiumGeopoistion)

			' work around
			Me.NAP = New Point(0.5, 0.5)
			Me.ImageSource = New Uri("ms-appx:///Assets/Football.png")
		End Sub

		Public Property TeamName() As String
		Public Property ImageSource() As Uri
		Public Property Division() As String
		Public Property StadiumName() As String
		Public Property StadiumLocation() As Geopoint
		Public Property NAP() As Point

	End Class

End Namespace
